Index: /ipk/source/picons_littleleo_astra19.2/CONTROL/control
===================================================================
--- /ipk/source/picons_littleleo_astra19.2/CONTROL/control	(revision 8658)
+++ /ipk/source/picons_littleleo_astra19.2/CONTROL/control	(revision 8658)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-picons-picons.littleleo.astra19.2
+Version: 1.0
+Architecture: sh4
+OE: Picons for Astra 19.2 
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Picons for Astra 19.2!
Index: /ipk/source/picons_littleleo_astra19.2/CONTROL/postinst
===================================================================
--- /ipk/source/picons_littleleo_astra19.2/CONTROL/postinst	(revision 8658)
+++ /ipk/source/picons_littleleo_astra19.2/CONTROL/postinst	(revision 8658)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source/picons_littleleo_astra19.2/CONTROL/postrm
===================================================================
--- /ipk/source/picons_littleleo_astra19.2/CONTROL/postrm	(revision 8658)
+++ /ipk/source/picons_littleleo_astra19.2/CONTROL/postrm	(revision 8658)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.picon
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source/picons_littleleo_astra19.2/CONTROL/preinst
===================================================================
--- /ipk/source/picons_littleleo_astra19.2/CONTROL/preinst	(revision 8658)
+++ /ipk/source/picons_littleleo_astra19.2/CONTROL/preinst	(revision 8658)
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ -e /etc/.fullusb ] || [ -e /etc/.usbimage ]; then
+	echo "detected USB Image...."
+	echo "ok..."
+elif [ "$model" = "ufs912" ] || [ "$model" = "at7000" ] || [ "$model" = "at700" ]; then
+	echo "detected Boxtype : $model...."
+	echo "ok..."
+	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
+		echo "check ok...installing to swap...."
+	else
+		if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+			SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+			FREE=`expr $SPACE - 100`
+			SIZE=4150
+			echo "checking freespace in flash"
+			echo packege size $SIZE kb
+			echo freespace size $FREE kb
+			if  [ "$FREE" -lt "$SIZE" ]; then
+				echo "sorry no freespace left on device"
+				echo "ERROR: this package will not fit in your flash..."
+				echo "...you need a swapstick to install the package on your $model...!"
+				echo "aborting installation..."
+				exit 1
+			else
+				echo freespace ok
+			fi
+		fi
+	fi
+else
+	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
+		echo "check ok...installing to swapstick...."
+	else
+		echo "ERROR: this package will not fit in your flash..."
+		echo "...you need a swapstick to install the package on your $model...!"
+		echo "aborting installation..."
+		exit 1
+	fi
+fi
+
+echo "installing picons for Astra 19.2..."
+echo "checking OS"
+if [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: /ipk/source/picons_littleleo_astra19.2/CONTROL/prerm
===================================================================
--- /ipk/source/picons_littleleo_astra19.2/CONTROL/prerm	(revision 8658)
+++ /ipk/source/picons_littleleo_astra19.2/CONTROL/prerm	(revision 8658)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+echo "removing Picons for Astra 19.2 ..."
+exit 0
